
using UnityEngine;
using UnityEditor;

public class ExportAssetBundle
{
    [MenuItem("Assets/Build AssetBundle From Selection - Track Dependencies")]
    static void ExportBundle()
    {
        string path = EditorUtility.SaveFilePanel("Save AssetBundle", Application.dataPath, Selection.activeObject.name, "unity3d");
        if (path.Length != 0)
        {
            BuildPipeline.BuildAssetBundle(
                Selection.activeObject,
                Selection.objects,
                path,
                BuildAssetBundleOptions.CollectDependencies | BuildAssetBundleOptions.CompleteAssets
            );

            Debug.Log("AssetBundle built successfully: " + path);
        }
    }
}
